Networking System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 ] 1.0.x.x 1.0.5000.0 2.0.0.0 4.0.0.0 System.Enum

An member specifies the addressing scheme that a will use to resolve an address. For example, indicates that an IP version 4 address is expected when a connects to an endpoint.

Specifies the addressing scheme that an instance of the class can use.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.AddressFamily AppleTalk

  AppleTalk address.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.AddressFamily Atm

  Native ATM services address.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.AddressFamily Banyan

  Banyan address.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.AddressFamily Ccitt

  Addresses for CCITT protocols, such as X.25.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.AddressFamily Chaos

  Address for MIT CHAOS protocols.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.AddressFamily Cluster

  Address for Microsoft cluster products.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.AddressFamily DataKit

  Address for Datakit protocols.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.AddressFamily DataLink

  Direct data-link interface address.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.AddressFamily DecNet

  DECnet address.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.AddressFamily Ecma

  European Computer Manufacturers Association (ECMA) address.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.AddressFamily FireFox

  FireFox address.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.AddressFamily HyperChannel

  NSC Hyperchannel address.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.AddressFamily Ieee12844

  IEEE 1284.4 workgroup address.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.AddressFamily ImpLink

  ARPANET IMP address.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.AddressFamily InterNetwork

  Address for IP version 4.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.AddressFamily InterNetworkV6

  Address for IP version 6.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.AddressFamily NS

  IPX or SPX address.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.AddressFamily Irda

  IrDA address.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.AddressFamily Osi

  Address for ISO protocols.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.AddressFamily Lat

  LAT address.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.AddressFamily Max To be added.

  MAX address.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.AddressFamily NetBios

  NetBios address.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.AddressFamily NetworkDesigners

  Address for Network Designers OSI gateway-enabled protocols.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.AddressFamily NS

  Address for Xerox NS protocols.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.AddressFamily Osi

  Address for OSI protocols.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.AddressFamily Pup

  Address for PUP protocols.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.AddressFamily Sna

  IBM SNA address.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.AddressFamily Unix

  Unix local to host address.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.AddressFamily Unknown

  Unknown address family.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.AddressFamily Unspecified

  Unspecified address family.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.AddressFamily VoiceView

  VoiceView address.

  0
0